<?php



require_once 'config.php';
require_once GREEN_ZONE_DIR . 'Tests/BaseTest.php';
require_once 'Classes/General/DateRange.php';


class TestDateRange extends BaseTest
{
  public function TestIt()
  {
  // test the from date setter/getter
  // test the to date setter/getter

  $from_date = new Date();
  $from_date->FromDMYString( '12/12/1212' );

  $date_range = new DateRange();
  $date_range->SetFromdate( $from_date );
  $this->PerformTest( 'Testing from date getter/setter',
	       ( $date_range->GetFromDate()->ToDMYString() == '12/12/1212' ),
	       'From date retrieved does not match from date set' );

  $to_date = new Date();
  $to_date->FromDMYString( '11/11/1111' );

  $date_range->SetToDate( $to_date );
  $this->PerformTest( 'Testing to date getter/seetter',
	       ( $date_range->GetToDate()->ToDMYString() == '11/11/1111' ),
	       'To date retrieved does not match to date set' );
  }
};


?>