<?php



require_once 'config.php';
require_once GREEN_ZONE_DIR . 'Tests/BaseTest.php';
require_once 'Classes/Astro/SkyCoord.php';



class TestSkyCoord extends BaseTest
{
  public function TestIt()
  {
    $coord_string = '01:02:30 04:05:06.000';

    $c1 = new SkyCoord();
    $c1->FromHMSDMSString( $coord_string );

    $this->PerformTest( 'Testing SkyCoord SetHMSDMS/GetHMSDMS ',
		 ( $coord_string == $c1->ToHMSDMSString() ),
		 'Result read from GetHMSDMS does not match string given in SetHMSDMS ' .
                      $c1->ToHMSDMSString() );
  }
}

?>